---
title: "Kontakt"
source: /de/gcxone/api/contact
locale: de
updated: 2026-09-04
---
Operationen an Kontakt-Ressourcen. 4 Endpunkte, jeweils relativ zu `https://api.nxgen.cloud/api/v1` und authentifiziert wie unter [Authentifizierung](/gcxone/api/authentication).

## POST /contact

Neuen Kontakt hinzufügen.

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| hierarchyId | query | string | yes | Hierarchie‑Ebene‑ID wie Site, Customer oder Dienstanbieter‑ID, in der der Kontakt erstellt wird. |

### Anfrage‑Body

Kontakt‑Nutzlast

```json
{
  "name": "string (required)",
  "description": "string",
  "email": "string",
  "codeword": "string",
  "available": "boolean",
  "type": "STANDARD",
  "phones": [
    {
      "number": "string",
      "phoneType": "MAIN | MOBILE | HOME | WORK | CUSTOM",
      "customType": "string"
    }
  ]
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 400 | Ungültige Eingabe |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "errorCode": 0,
  "errorMessage": "Success",
  "id": "8a81fc4581c99094018224c3d431"
}
```

Beispiel `400` Antwort:

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```

## PATCH /contact

Kontakt per Kontakt‑ID patchen

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| contactId | query | string | ja | Kontakt-ID, für die das Patch erforderlich ist. |
| hierarchyId | query | string | yes | Hierarchie-ID, mit der der Kontakt verknüpft ist. Beispiel: Standort-, Kunden- oder Dienstleister-ID. |

### Anfragekörper

Kontakt-Nutzlast

```json
{
  "name": "string",
  "description": "string",
  "email": "string",
  "codeword": "string",
  "available": "boolean",
  "phones": [
    {
      "id": "string",
      "number": "string",
      "phoneType": "MAIN | MOBILE | HOME | WORK | CUSTOM",
      "customType": "string"
    }
  ]
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 400 | Ungültige Eingabe |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "errorCode": 0,
  "errorMessage": "Success"
}
```

Beispiel `400` Antwort:

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```

## DELETE /contact

Kontakt anhand der Kontakt-ID löschen

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| contactId | query | string | ja | Kontakt-ID, die gelöscht werden soll. |
| hierarchyId | query | string | ja | Hierarchie-ID, der der Kontakt zugeordnet ist. Beispiel: Site-, Kunden- oder Dienstleister-ID. |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

## GET /contact/all

Liste der Kontakte abrufen, die einer Hierarchieebene wie Site-, Kunden- oder Dienstleister-ID zugeordnet sind.

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| hierarchyId | query | string | ja | Hierarchieebenen-ID wie Site-, Kunden- oder Dienstleister-ID. |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 400 | Ungültige Eingabe |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "errorCode": 0,
  "message": [
    {
      "id": "8a81b56781c990bb0181d22466bb007e",
      "name": "Axxon test",
      "description": "Site Contact - Automatically created",
      "email": null,
      "codeword": null,
      "available": true,
      "type": "MANAGED",
      "phones": []
    },
    {
      "id": "8a81fc4581c9909401822538dbc70653",
      "name": "John",
      "description": "nxgen user contact",
      "email": "test@nx.com",
      "codeword": "NXG",
      "available": true,
      "type": "STANDARD",
      "phones": [
        {
          "id": "8a81fc4581c9909401822538dbc70654",
          "number": "+919842999112",
          "phoneType": "MAIN",
          "customType": null
        }
      ]
    }
  ]
}
```

Beispiel `400` Antwort:

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```